/**
 * @file co2meters.h
 */

#ifndef _CO2METERS_H
#define _CO2METERS_H

void co2meter_dump(sys_co2meter_list *co2meter);

/**
 * @brief Birth of a co2meter or data update. Create it in the database if 
 *        never seen before, else just update the database entry.
 * @param topic The MQTT topic string, contains the co2meter type and name.
 * @param payload The JSON formatted payload with the co2meter details.
 */
void co2meter_birth_data(char *topic, char *payload);

/**
 * @brief Data logging from co2meters.
 * @param topic The MQTT topic string, contains the co2meter type and name.
 * @param payload The JSON formatted payload with the co2meter details.
 */
void co2meter_log(char *topic, char *payload);


#endif
